#!/bin/sh
#
# Copyright (c) 1999-2008 Parallels
# All rights reserved
#

#
# Plesk script
#


# Migration manager tables will be managed by plesk


detect_vz()         
{                   
    local vzcheck_file
        
    PLESK_VZ=0
    vzcheck_file="/proc/self/status"
                    
    if [ ! -f ${vzcheck_file} ]; then
        return 1; 
    fi              
                    
    grep -q -E '^envID\:[[:space:]]*([[:digit:]]+)$' < ${vzcheck_file} >/dev/null 2>&1
                    
    if [ $? -eq 0 ]; then
        PLESK_VZ=1  
        return 0;
    fi      
    return 1;
}
PARAMS=$*

QUOTACHECK_PATH="/sbin/quotacheck /usr/sbin/quotacheck"

detect_vz

if [ "X$PLESK_VZ" = "X1" ] ; then
	exit 0;
fi

for quota_check in $QUOTACHECK_PATH; do
	if [ -x "$quota_check" ]; then
		"$quota_check" $PARAMS
		exit $?
	fi
done

exit 0

